#ifndef MCGEN1_H
#define MCGEN1_H
///////////////////////////////////////////////////////////////////////////////
///     TMCgen1 class
/// This is class for axiliary exercises, 
/// mainly for checking analytical integration with Monte Carlo

#include "TMCgen.h"
#include "TH1D.h"
#include "TString.h"
// #include "TH2D.h"
//#include "TH3D.h"

class TMCgen1 :public TMCgen
{
/// member data
  public:
/// member functions
  public:
  TMCgen1();                // explicit default constructor for streamer
  TMCgen1(const char*);     // user constructor
  ~TMCgen1();               // explicit destructor
/// data members core
  //THwtMon  *m_WTmonitor;        //! Monitor of theMC weight
  int       m_FoamMode;         // FOAM operation mode, for non-positive integrands
  double    m_Xnorm;            //  Total normalization constant
  
/// data members auxiliary
  TString   m_MEtype;           // Matrix element type
  //TString   m_PlotSelector;
  //! MC event 
  double    m_WT;               // MC weight         
  double m_x;			//coordinates
  double m_y;
  double m_pi;


/// methods obligatory
  void Initialize(TRandom*, ofstream*, TH1D*);
  void Finalize();
  void Generate();
  void Redress(TRandom*, ofstream*, TH1D*);
  double Density(int, double *);   /// Method of the abstract class TFOAM_INTEGRAND
/// methods auxiliary
//   Double_t Elipse( int nDim, Double_t *Xarg);
   double Example(int nDim, Double_t *Xarg);
   double Camel(int nDim, Double_t *Xarg);
   //double Bx(int nDim, Double_t *Xarg);
   void GetMCevent ( double& wt, double &x, double &y)
    {wt=m_WT; x= m_x; y=m_y;}
////////////////////////////////////////////////////////////////////////////
  ClassDef(TMCgen1,2); // Monte Carlo generator
};
/////////////////////////////////////////////////////////////////////////////
//                End of the class TMCgen1                                  //
/////////////////////////////////////////////////////////////////////////////
#endif
