#ifndef TROBOL1_H
#define TROBOL1_H
///////////////////////////////////////////////////////////////////////////////
///                CLASS TRobol2pB
///     Three-stroke engine for analysis: Initialize-Production-Finalize
///     Daugter class specific to simple multidimensional integration

/// OUR headers
#include "TRobol.h"
#include "TMCgen1.h"

class TRobol1 : public TRobol {
/// member functions
  public:
  TRobol1();                // explicit default constructor for streamer
  TRobol1(const char*);     // user constructor
  ~TRobol1();               // explicit destructor
///---
  void Initialize(ofstream*, TFile*, TFile*);
  void Hbooker();
  void Production(double &);
/// data members
  double    m_xmin;          // dummy
  double    m_xmax;          // dummy
/// ============== Histograms follow =================================
  TH1D   *h_wt;        //  a  ! no streamer 
  TH1D   *h_x;         //  a  ! no streamer 
  TH1D   *h_lx;        //  a  ! no streamer 
  //! 2d histos
  TH2D   *DistributionHisto; 
  TH1D   *h_test;
////////////////////////////////////////////////////////////////////////////
  ClassDef(TRobol1,2); // Monte Carlo generator
};
/////////////////////////////////////////////////////////////////////////////
//                End of the class TRobol1                                 //
/////////////////////////////////////////////////////////////////////////////
#endif
