{
///==============================================================================
///
/// This is configuration/initialization script for Prod/MainPr main program
/// To start MC run in the interactive mode just type "make start" 
///
/// This series of the calculations compares MC 
/// and pieces of analytical calculation at dim=1,2,3,4
/// 
///==============================================================================
gROOT->Reset();
cout<<"%%% ================== Start.C ================== %%%%"<<endl;
gSystem->Load("../../lib/libTemplate.so");
TFile HistoFile("histo.root","RECREATE","Histograms");
TFile GenFile(  "mcgen.root","RECREATE","r.n.generator, MCgens");
TFile SemFile(  "semaf.root","RECREATE","Semaphore");
///*****************************************************************
///   Create new instance of Semaphre object
///   and fill it with the MC run general parameters
TString semaf   = "START";
double nevtot   = 1e5;
double  nevgrp  = 2e4; // 200k
double nevtot   = 1e6;
double  nevgrp  = 2e5; // 200k

///------------------------------------------------------------------
SemFile.cd();
TSemaf *Semafor = new TSemaf(semaf, nevtot, nevgrp);
Semafor->Write("Semafor",TObject::kOverwrite);
SemFile.Write();
SemFile.Close();
//cout<<"-----------------------------------------------------"<<endl;
///*****************************************************************
///       Create new instance of RN generator and initialize it
GenFile.cd();
TRandom *RN_gen = new TRandom3();       // Central r.n.gen.
long    iniseed = 54217137;
RN_gen->SetSeed(iniseed);
RN_gen->Write("RN_gen",TObject::kOverwrite);
///*****************************************************************
///       Create new instance of MC generator
TMCgen1 *MCgen = new TMCgen1("MCgen");
/// ---- here change some input parameters
//! ME type
MCgen->m_MEtype = "Example";
//MCgen->m_MEtype = "Camel";
//! x-range
/*MCgen->m_xmin   = 0.01;   //! not used
MCgen->m_xmax   = 0.99;   //! not used
MCgen->m_xx     = 0.22;   /// used sometimes*/

MCgen->ls();
MCgen->Write("MCgen",TObject::kOverwrite);
///*****************************************************************
///       Create new instance of the MC analysis object
TRobol *RoboT = new TRobol1("RoboT");  /// base clase only
RoboT->Write("RoboT",TObject::kOverwrite);
///*****************************************************************
GenFile.Write();
cout<<"---------------------------------------------------------"<<endl;
GenFile.Close();
cout << "===========Output written in histo.root===========" << endl;
HistoFile.Write();
//HistoFile.ls();
HistoFile.Close();
cout<<"%%% ===============End Start.C ================== %%%%"<<endl;
return 0;
}
