#ifndef MCGEN0_H
#define MCGEN0_H
///////////////////////////////////////////////////////////////////////////////
///     TMCgen0 class
/// This is class for axiliary exercises, 
/// mainly for checking analytical integration with Monte Carlo

#include "TMCgen.h"
#include "TH1D.h"

class TMCgen0 :public TMCgen
{
/// member data
  public:
/// member functions
  public:
  TMCgen0();                // explicit default constructor for streamer
  TMCgen0(const char*);     // user constructor
  ~TMCgen0();               // explicit destructor
/// data members core
  double m_WT;               // MC weight         
  double m_x;			
  double m_y;
  double m_pi;
/// methods obligatory
  void Initialize(TRandom*, ofstream*, TH1D*);
  void Finalize();
  void Generate();
  double Density(int, double *);   /// Method of the abstract class TFOAM_INTEGRAND
/// methods auxiliary
  void GetMCevent ( double& wt, double &x, double &y)
    {wt=m_WT; x= m_x; y=m_y;}
////////////////////////////////////////////////////////////////////////////
  ClassDef(TMCgen0,2); // Monte Carlo generator
};
/////////////////////////////////////////////////////////////////////////////
//                End of the class TMCgen0                                  //
/////////////////////////////////////////////////////////////////////////////
#endif
