#ifndef TROBOL0_H
#define TROBOL0_H
///////////////////////////////////////////////////////////////////////////////
///                CLASS TRobol2pB
///     Three-stroke engine for analysis: Initialize-Production-Finalize
///     Daugter class specific to simple multidimensional integration

/// OUR headers
#include "TRobol.h"
#include "TMCgen0.h"

class TRobol0 : public TRobol {
/// member functions
  public:
  TRobol0();                // explicit default constructor for streamer
  TRobol0(const char*);     // user constructor
  ~TRobol0();               // explicit destructor
///---
  void Initialize(ofstream*, TFile*, TFile*);
  void Hbooker();
  void Production(double &);
/// data members
  double    m_xmin;          // dummy
  double    m_xmax;          // dummy
/// ============== Histograms follow =================================
  TH1D   *h_wt;        //! no streamer 
  TH1D   *h_x;         //! no streamer 
  TH1D   *h_lx;        //! no streamer 
  //! 2d histos
  TH2D   *DistributionHisto; 
////////////////////////////////////////////////////////////////////////////
  ClassDef(TRobol0,2); // Monte Carlo generator
};
/////////////////////////////////////////////////////////////////////////////
//                End of the class TRobol0                                 //
/////////////////////////////////////////////////////////////////////////////
#endif
