// ROOT headers
#include <TROOT.h>
#include <TFile.h>
#include <TApplication.h>
#include <TCanvas.h>
#include <TLatex.h>
#include "TH1.h"
#include "TH2.h"
#include "TMath.h"
#include "TString.h"
// own headers
#include "TMCgen0.h"


TFile MCgenFile("./work/mcgen.root"); //! archive root file
TFile DiskFileA("./work/histo.root"); //! archive root file


int DrawPlot()
{
  DiskFileA.ls();
  cout<<" ========================= DrawPlot =========================== "<<endl;
//!***********************************************************************
  TH2D *H2 = (TH2D*)DiskFileA.Get("DistributionHisto");
  Float_t  WidPix, HeiPix;
  WidPix = 500; HeiPix =  400;
  TCanvas *cCyalfr = new TCanvas("Plot","Plot", 100,100, WidPix,HeiPix);
  cCyalfr->SetFillColor(10);
  cCyalfr->Draw();
  //cCyalfr->Divide(2, 0);
  TH2D *Hst;
  TString SurfTyp="lego";
  //SurfTyp="lego1";
  SurfTyp="surf1";
  SurfTyp="surf2";  //! smooth coloured
  //!-----------------------------
  cCyalfr->cd();
  //gPad->SetPhi(240);
  //gPad->SetPhi(310);
  Hst =H2;
  //Hst->SetStats(0);
  //Hst->SetTitle(0);
  Hst->GetXaxis()->SetNdivisions(5);
  Hst->GetXaxis()->SetTitleOffset(2.0);
  Hst->GetXaxis()->CenterTitle();
  Hst->GetXaxis()->SetTitle("x");
  //
  Hst->GetYaxis()->SetTitleOffset(2.0);
  Hst->GetYaxis()->SetNdivisions(3);
  Hst->GetYaxis()->CenterTitle();
  Hst->GetYaxis()->SetTitle("y");
  Hst->DrawCopy(SurfTyp);
  
  cCyalfr->Update();
  cCyalfr->cd();
  cout<< " **************** DrawPlot ends *******************   "<<endl;
  //
  return 0;
}

//////////////////////////////////////////////////////////////////////////////////
int main(int argc, char **argv)
{
  ///++++++++++++++++++++++++++++++++++++++++
  TApplication theApp("theApp", &argc, argv);
//!***********************************************************************
   //int r;
   DrawPlot();
  ///++++++++++++++++++++++++++++++++++++++++
  theApp.Run();
  ///++++++++++++++++++++++++++++++++++++++++
  cout<< " plot finished "<<endl;
}///
